Feature: Wake_up_Instance

# # # Run this script only when the instance is hibernating
# Below Scenario will open the selected web browser in maximize mode and will navigate to provided URL
Scenario: Precondition- Launch the broswer and navigate to Sales Force Login url
Given use "Browser1" browser for execution
Then change default timeout to "50" seconds
And navigate to URL "ServiceNow"      
When maximize window

# # Below scenario will wakeup ServiceNow Instance
Scenario Outline: Wakeup ServiceNow Instance
# Verify element which will appear after navigating the URL
Then verify element "serviceNowSignInBtn" is displayed on the UI
Then change default timeout to "3" seconds
Then if element "serviceNowSignInBtn" is present on UI then click on it else do nothing
Then change default timeout to "50" seconds
Then verify element "wakeUpInstance_DOM1" is displayed on the UI
When use shadowdom using the selectors:
|wakeUpInstance_DOM1|
|wakeUpInstance_DOM2|
|wakeUpInstance_DOM3|
|wakeUpInstance_DOM4|
And click on element "wakeUpInstance_SignInBtn"
When return to default dom
Then verify element "wakeUpInstance_EmailField" is displayed on the UI
And enter value "<ServiceNowAdminEmail>" for element "wakeUpInstance_EmailField"
And click on element "wakeUpInstance_NextBtn"
And enter value "<ServiceNowAdminPassword>" for element "wakeUpInstance_PasswordField"
And click on element "wakeUpInstance_ConfirmSignInBtn"

# Verify that the instance is waking up
Then verify element "wakeUpInstance_DOM1" is displayed on the UI
When use shadowdom using the selectors:
|wakeUpInstance_DOM1|
|wakingUpInstance_DOM|
Then verify element "WakingUpInstance" is displayed on the UI
When return to default dom
# Wait for the instance to be waked up
Then wait for "300" seconds

Examples: 
|ServiceNowAdminEmail|ServiceNowAdminPassword|

# Below Scenario will close the browser 
Scenario: Postconditon- Close the browser
Then close browser
